package com.iotechn.unimall.data.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;
import com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Data;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.enums.FieldFill;
import com.iotechn.unimall.core.util.StringUtils;
import java.util.Date;

/**
 * 分类对象 cloud_classify_info
 * 
 * @author jlb
 * @date 2023-05-29
 */
@Data
@TableName("cloud_classify_info")
public class CloudClassifyInfo extends SuperDO{
    private static final long serialVersionUID = 1L;

    /**  */
    @TableId("id")
    private Long id;

    /** 类型 */
    @Excel(name = "类型")
    @TableField("classify_type")
    private String classifyType;

    /** 分类名称 */
    @Excel(name = "分类名称")
    @TableField("classify_name")
    private String classifyName;

    /** 分类图标 */
    @Excel(name = "分类图标")
    @TableField("classify_icon")
    private String classifyIcon;

    /** 分类封面图 */
    @Excel(name = "分类封面图")
    @TableField("classify_image")
    private String classifyImage;

    /** 分类描述 */
    @Excel(name = "分类描述")
    @TableField("classify_describe")
    private String classifyDescribe;

    /** 分类标题 */
    @Excel(name = "分类标题")
    @TableField("classify_title")
    private String classifyTitle;

    /** 语言 */
    @Excel(name = "语言")
    @TableField("language")
    private String language;

    /**  */
    @Excel(name = "", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("gmt_create")
    private Date gmtCreate;

    /**  */
    @Excel(name = "", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("gmt_update")
    private Date gmtUpdate;

    /** 删除标识 */
    @Excel(name = "删除标识")
    @TableField("delete_flag")
    private Long deleteFlag;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("classifyType", getClassifyType())
            .append("classifyName", getClassifyName())
            .append("gmtCreate", getGmtCreate())
            .append("gmtUpdate", getGmtUpdate())
            .append("deleteFlag", getDeleteFlag())
            .toString();
    }
}
